Get test cohort
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/test-cohorts/{cohortId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/test-cohorts/{cohortId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/test-cohorts/{cohortId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"cohort": {
"id": "cohort_abc123",
"advertiserId": "12345",
"name": "West Coast Treatment Group",
"cohortType": "geographic",
"definition": {
"type": "zip_code"
},
"isActive": true,
"createdAt": "2025-01-15T10:30:00Z",
"updatedAt": "2025-01-20T14:45:00Z",
"description": "<string>",
"estimatedSize": 50000
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Measurement
Get test cohort
Get a specific test cohort by ID.
GET
/
advertisers
/
{advertiserId}
/
test-cohorts
/
{cohortId}
Get test cohort
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/test-cohorts/{cohortId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/test-cohorts/{cohortId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/test-cohorts/{cohortId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"cohort": {
"id": "cohort_abc123",
"advertiserId": "12345",
"name": "West Coast Treatment Group",
"cohortType": "geographic",
"definition": {
"type": "zip_code"
},
"isActive": true,
"createdAt": "2025-01-15T10:30:00Z",
"updatedAt": "2025-01-20T14:45:00Z",
"description": "<string>",
"estimatedSize": 50000
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Unique identifier for the test cohort
Minimum string length:
1Example:
"cohort_abc123"
Response
Get test cohort
Response containing a single test cohort
Test cohort resource representation
Show child attributes
Show child attributes
⌘I